summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-c-8
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-c-8')
-rwxr-xr-xgettext-tools/tests/xgettext-c-86
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/xgettext-c-8 b/gettext-tools/tests/xgettext-c-8
index 9bef7cc..191002f 100755
--- a/gettext-tools/tests/xgettext-c-8
+++ b/gettext-tools/tests/xgettext-c-8
@@ -16,9 +16,11 @@ void foo ()
}
EOF
-tmpfiles="$tmpfiles xg-c-8.po"
+tmpfiles="$tmpfiles xg-c-8.tmp xg-c-8.po"
: ${XGETTEXT=xgettext}
-${XGETTEXT} --omit-header --no-location -k_ -o xg-c-8.po xg-c-8.c
+${XGETTEXT} --omit-header --no-location -k_ -o xg-c-8.tmp xg-c-8.c
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-c-8.tmp > xg-c-8.po
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles xg-c-8.ok"